<template>
    <div :class="{ disabled: disabled }">
        <div v-for="service in services" :key="service.id">
            <div class="service">
                <div class="ui-checkbox">
                    <ui-checkbox @input="changeState($event, service)" v-model="service.selected"></ui-checkbox>

                    <div class="service">
                        <div class="service__title" @click="changeState(!service.selected, service)">Добавить к текущему платежу {{service.title}} за {{service.price|currency}} ₽</div>
                        <div class="service__desc">{{service.description}}</div>
                        <div class="service__link" v-if="service.document_title">
                            <ui-button link underline block @click.native="openWindow(service.document_url)">{{service.document_title}}</ui-button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'component-payment-form-additional-services',
        props: {
            disabled: {
                type: Boolean,
                required: false
            }
        },
        computed: {
            /**
             *
             * @returns {iAdditionalService[]}
             */
            services () {
                return this.$pay.additionalServices.filter((/*iAdditionalService*/service) => {
                    return [3].includes(service.location_int);
                })
            }
        },

        methods: {
            openWindow(url) {
                window.open(url);
            },

            changeState (selected, service) {
                this.$store.commit('PAYMENT_ADDITIONAL_SERVICES_SET_SELECTED', {
                    id: service.id,
                    selected
                });
            }
        }
    };
</script>

<style scoped>

</style>
